Name: ibm-acpi
Version: 0.8
Release: alt2

Summary: IBM ThinkPad ACPI
License: GPL2
Group: System/Servers

Url: http://ibm-acpi.sf.net/
Source: %name-%version.tar.gz

Packager: Valery Inozemtsev <shrek@altlinux.ru>

BuildArch: noarch
Requires: acpid

%package -n kernel-source-%name
BuildArch: i586
Summary: Linux %name module sources
Group: Development/Kernel

%description -n kernel-source-%name
This package contains %name sources for Linux kernel module

%description
This is a Linux ACPI driver for the IBM ThinkPad laptops. It aims to support
various features of these laptops which are accessible through the ACPI
framework but not otherwise supported by the generic Linux ACPI drivers.

%prep
%setup -q

%__subst 's,\/usr\/local,/usr,g' config/etc/acpi/actions/*

t="$RPM_SOURCE_DIR/kernel-source-%name-%version"
%__rm -rf "$t"
%__cp -a ./ "$t"
%__mv "$t" .

%install
%__rm -f config/etc/acpi/actions/blank-debian.sh
%__mkdir_p %buildroot%_sysconfdir/acpi/{actions,events}
%__install -pD -m755 config/etc/acpi/actions/* %buildroot%_sysconfdir/acpi/actions/
%__install -pD -m644 config/etc/acpi/events/* %buildroot%_sysconfdir/acpi/events/
%__mkdir_p %buildroot%_sbindir
%__install -pD -m755 config/usr/local/sbin/* %buildroot%_sbindir/

# Make kernel-source tarball
mkdir -p %buildroot%_usrsrc/kernel/sources
du -hsc kernel-source-%name-%version
%__tar cjf \
        $RPM_BUILD_ROOT%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2 \
	kernel-source-%name-%version


%files
%doc README LICENSE
%_sysconfdir/acpi/*/*
%_sbindir/*

%files -n kernel-source-%name
%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2

%changelog
* Sun Jan 09 2005 Denis Smirnov <mithraen@altlinux.ru> 0.8-alt2
- package with modules build

* Sat Jan 01 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt1
- initial release

